Bug 232173 - New port: korean/sourcehansans-otf Korean font by Adobe designed for user interfaces
Summary: New port: korean/sourcehansans-otf Korean font by Adobe designed for user int...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://reviews.freebsd.org/D19538
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-11 09:59 UTC by Hyun Hwang
Modified: 2019-03-13 16:18 UTC (History)
1 user (show)

See Also:


Attachments
korean_sourcehansans-otf.shar (4.67 KB, text/plain)
2018-10-11 09:59 UTC, Hyun Hwang
no flags Details
korean_sourcehansans-otf.shar (4.69 KB, text/plain)
2018-10-19 22:23 UTC, Hyun Hwang
no flags Details
korean_sourcehansans-otf.shar (4.69 KB, text/plain)
2018-11-28 14:25 UTC, Hyun Hwang
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hyun Hwang 2018-10-11 09:59:00 UTC
Created attachment 198034 [details]
korean_sourcehansans-otf.shar

First of the Source Han Sans family. Passed `portlint -A`.
Comment 1 Hyun Hwang 2018-10-19 22:23:55 UTC
Created attachment 198387 [details]
korean_sourcehansans-otf.shar

Address minor issues found following the Chinese variants.
Comment 2 Hyun Hwang 2018-11-28 14:25:55 UTC
Created attachment 199640 [details]
korean_sourcehansans-otf.shar

Upstream updated to 2.000 on November 19.
Comment 3 commit-hook freebsd_committer 2019-03-13 16:17:52 UTC
A commit references this bug:

Author: kai
Date: Wed Mar 13 16:17:26 UTC 2019
New revision: 495609
URL: https://svnweb.freebsd.org/changeset/ports/495609

Log:
  New port: korean/sourcehansans-otf

  Source Han Sans: A new open source Pan-CJK typeface family from Adobe

  This is Source Han Sans K/KR, which supports all four variants in this family
  but prioritizes Korean Hanja over other three.

  "Source Han Sans, available in seven weights, is a typeface family which
  provides full support for Japanese, Korean, Traditional Chinese, and Simplified
  Chinese, all in one font. It also includes Latin, Greek, and Cyrillic glyphs
  from our popular Source Sans family. All told, each font weight in the family
  has a total of 65,535 glyphs (the maximum supported in the OpenType format), and
  the entire family rounds out at just under half a million total glyphs."
  --- The Typekit Blog, Adobe

  WWW: https://github.com/adobe-fonts/source-han-sans

  PR:		232173
  Submitted by:	Hyun Hwang <hyun@caffeinated.codes>
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19538

Changes:
  head/korean/Makefile
  head/korean/sourcehansans-otf/
  head/korean/sourcehansans-otf/Makefile
  head/korean/sourcehansans-otf/distinfo
  head/korean/sourcehansans-otf/files/
  head/korean/sourcehansans-otf/files/pkg-message.in
  head/korean/sourcehansans-otf/pkg-descr
  head/korean/sourcehansans-otf/pkg-plist
Comment 4 Kai Knoblich freebsd_committer 2019-03-13 16:18:53 UTC
Committed, thank you for your contribution!